### Method

# AppStream Reference get_registry_name

#### Declaration [src]

    const gchar*
    as_reference_get_registry_name (
      AsReference* reference
    )

#### Description [src]

Gets the name of the registry this reference is for, if the reference is of type `AS_REFERENCE_KIND_REGISTRY`. Otherwise return `NULL`.

#### Return value

Type: `const gchar*`

The registry name.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.